<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AssignPresenceUserReq StructType
 * @subpackage Structs
 */
class AssignPresenceUserReq extends APIRequest
{
    /**
     * The userid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $userid;
    /**
     * The server
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $server;
    /**
     * Constructor method for AssignPresenceUserReq
     * @uses AssignPresenceUserReq::setUserid()
     * @uses AssignPresenceUserReq::setServer()
     * @param string $userid
     * @param string $server
     */
    public function __construct($userid = null, $server = null)
    {
        $this
            ->setUserid($userid)
            ->setServer($server);
    }
    /**
     * Get userid value
     * @return string
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param string $userid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AssignPresenceUserReq
     */
    public function setUserid($userid = null)
    {
        $this->userid = $userid;
        return $this;
    }
    /**
     * Get server value
     * @return string
     */
    public function getServer()
    {
        return $this->server;
    }
    /**
     * Set server value
     * @param string $server
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AssignPresenceUserReq
     */
    public function setServer($server = null)
    {
        $this->server = $server;
        return $this;
    }
}
